Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.solver
Class SolverConfig

    java.lang.Object
      org.optaplanner.core.config.solver.SolverConfig

    public class SolverConfig

extends Object

Field Summary
`protected static long` | `DEFAULT_RANDOM_SEED`
`protected EnvironmentMode` | `environmentMode`
`protected Set<Class<?>>` | `planningEntityClassSet`
`protected Long` | `randomSeed`
`protected ScoreDirectorFactoryConfig` | `scoreDirectorFactoryConfig`
`protected Class<? extends Solution>` | `solutionClass`
`protected List<SolverPhaseConfig>` | `solverPhaseConfigList`

Constructor Summary
`SolverConfig()`

Method Summary
`protected BestSolutionRecaller` | `buildBestSolutionRecaller(EnvironmentMode environmentMode)`
`protected SolutionDescriptor` | `buildSolutionDescriptor()`
`Solver` | `buildSolver()`
`EnvironmentMode` | `getEnvironmentMode()`
`Set<Class<?>>` | `getPlanningEntityClassSet()`
`Long` | `getRandomSeed()`
`ScoreDirectorFactoryConfig` | `getScoreDirectorFactoryConfig()`
`Class<? extends Solution>` | `getSolutionClass()`
`List<SolverPhaseConfig>` | `getSolverPhaseConfigList()`
`TerminationConfig` | `getTerminationConfig()`
`void` | `inherit(SolverConfig inheritedConfig)`
`void` | `setEnvironmentMode(EnvironmentMode environmentMode)`
`void` | `setPlanningEntityClassSet(Set<Class<?>> planningEntityClassSet)`
`void` | `setRandomSeed(Long randomSeed)`
`void` | `setScoreDirectorFactoryConfig(ScoreDirectorFactoryConfig scoreDirectorFactoryConfig)`
`void` | `setSolutionClass(Class<? extends Solution> solutionClass)`
`void` | `setSolverPhaseConfigList(List<SolverPhaseConfig> solverPhaseConfigList)`
`void` | `setTerminationConfig(TerminationConfig terminationConfig)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_RANDOM_SEED

    protected static final long DEFAULT_RANDOM_SEED

See Also:
  Constant Field Values

### environmentMode

    protected EnvironmentMode environmentMode

### randomSeed

    protected Long randomSeed

### solutionClass

    protected Class<? extends Solution> solutionClass

### planningEntityClassSet

    protected Set<Class<?>> planningEntityClassSet

### scoreDirectorFactoryConfig

    protected ScoreDirectorFactoryConfig scoreDirectorFactoryConfig

### solverPhaseConfigList

    protected List<SolverPhaseConfig> solverPhaseConfigList

Constructor Detail

### SolverConfig

    public SolverConfig()

Method Detail

### getEnvironmentMode

    public EnvironmentMode getEnvironmentMode()

### setEnvironmentMode

    public void setEnvironmentMode(EnvironmentMode environmentMode)

### getRandomSeed

    public Long getRandomSeed()

### setRandomSeed

    public void setRandomSeed(Long randomSeed)

### getSolutionClass

    public Class<? extends Solution> getSolutionClass()

### setSolutionClass

    public void setSolutionClass(Class<? extends Solution> solutionClass)

### getPlanningEntityClassSet

    public Set<Class<?>> getPlanningEntityClassSet()

### setPlanningEntityClassSet

    public void setPlanningEntityClassSet(Set<Class<?>> planningEntityClassSet)

### getScoreDirectorFactoryConfig

    public ScoreDirectorFactoryConfig getScoreDirectorFactoryConfig()

### setScoreDirectorFactoryConfig

    public void setScoreDirectorFactoryConfig(ScoreDirectorFactoryConfig scoreDirectorFactoryConfig)

### getTerminationConfig

    public TerminationConfig getTerminationConfig()

### setTerminationConfig

    public void setTerminationConfig(TerminationConfig terminationConfig)

### getSolverPhaseConfigList

    public List<SolverPhaseConfig> getSolverPhaseConfigList()

### setSolverPhaseConfigList

    public void setSolverPhaseConfigList(List<SolverPhaseConfig> solverPhaseConfigList)

### buildSolver

    public Solver buildSolver()

### buildBestSolutionRecaller

    protected BestSolutionRecaller buildBestSolutionRecaller(EnvironmentMode environmentMode)

### buildSolutionDescriptor

    protected SolutionDescriptor buildSolutionDescriptor()

### inherit

    public void inherit(SolverConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.